package client.gui.element;

import client.renderer.Drawing;
import common.util.Util;

public class PasswordField extends Field {
	public PasswordField(int x, int y, int w, int h, int cap, FieldCallback callback, String text) {
		super(x, y, w, h, cap, callback, text);
	}
	
	protected void drawForeground(int x1, int y1, int x2, int y2) {
		Drawing.txt_draw(x1 + this.text_x, y1 + this.text_y, 
				x1 + this.text_x, y1 + this.text_y, 
				Integer.MAX_VALUE, Integer.MAX_VALUE, this.enabled ? this.gm.style.text_field : Util.mulColor(this.gm.style.text_field, 0.5f), this.text.isEmpty() ? "" : "****");
	}
	
	protected int getCursorX(int x1, int x2) {
		return x1;
	}
}
