package common.network;

import common.packet.RPacketDisconnect;
import common.packet.RPacketEnableCompression;
import common.packet.RPacketLoginSuccess;
import common.packet.RPacketRequestEncrypt;

public interface IClientLoginHandler {

	void handleDisconnect(RPacketDisconnect packetIn);

	void handleLoginSuccess(RPacketLoginSuccess packetIn);

	void handleEnableCompression(RPacketEnableCompression packetIn);

	void handleEncrypt(RPacketRequestEncrypt packet);

}