package common.network;

import io.netty.buffer.ByteBuf;
import io.netty.channel.ChannelHandlerContext;
import io.netty.handler.codec.MessageToByteEncoder;
import javax.crypto.Cipher;
import javax.crypto.ShortBufferException;

public class NettyEncryptionEncoder extends MessageToByteEncoder<ByteBuf> {
	private final EncryptionCodec codec;

	public NettyEncryptionEncoder(Cipher cipher) {
		this.codec = new EncryptionCodec(cipher);
	}

	protected void encode(ChannelHandlerContext p_encode_1_, ByteBuf p_encode_2_, ByteBuf p_encode_3_) throws ShortBufferException, Exception {
		this.codec.cipher(p_encode_2_, p_encode_3_);
	}
}
